
Foreman - Bug #11822

Interface detection hides errors

09/15/2015 08:20 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Importers   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2724

  

Description

Our interface detection code (import from facts) calls interfaces.reload which throws away all reported errors arrays.

History

#1 - 09/15/2015 09:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2724 added

- Pull request deleted ()

#2 - 03/23/2016 10:27 AM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected

As @ares pointed out NIC errors are now properly logged, that should be enough for discovery: 

https://github.com/theforeman/foreman/blob/develop/app/models/host/base.rb#L395

Closing.
